Package com.clickhouse.jdbc

## Class JdbcTypeMapping

- java.lang.Object
- - com.clickhouse.jdbc.JdbcTypeMapping

    public final class JdbcTypeMapping
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static ClickHouseDataType` `fromJdbcType​(int jdbcType)`
`static ClickHouseColumn` `fromJdbcType​(int jdbcType, int scaleOrLength)`
`static int` `toJdbcType​(ClickHouseColumn column)` Gets corresponding JDBC type for the given column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toJdbcType

    public static int toJdbcType​(ClickHouseColumn column)

Gets corresponding JDBC type for the given column.

Parameters:
  `column` - non-null column definition
Returns:
  JDBC type

#### fromJdbcType

    public static ClickHouseColumn fromJdbcType​(int jdbcType,
                                                int scaleOrLength)

#### fromJdbcType

    public static ClickHouseDataType fromJdbcType​(int jdbcType)